FYI: [icedtea6] Allow rhino patch to be turned off

Andrew John Hughes gnu_andrew at member.fsf.org
Wed Jun 25 13:11:15 PDT 2008


This patch expands the --with-rhino option so that it
can also be used as --without-rhino to turn off the patch.

ChangeLog:

2008-06-24  Andrew John Hughes  <gnu_andrew at member.fsf.org>

	* Makefile.am: Only add rhino patch when
	WITH_RHINO is turned on.
	* Makefile.in: Regenerated.
	* acinclude.m4: Provide the option to turn off
	rhino support.
	* configure,
	* aclocal.m4:
	Regenerated.

-- 
Andrew :)

Support Free Java!
Contribute to GNU Classpath and the OpenJDK
http://www.gnu.org/software/classpath
http://openjdk.java.net
PGP Key: 94EFD9D8 (http://subkeys.pgp.net)
Fingerprint = F8EF F1EA 401E 2E60 15FA  7927 142C 2591 94EF D9D8
-------------- next part --------------
diff -r 58f4f74baacc Makefile.am
--- a/Makefile.am	Tue Jun 24 10:19:37 2008 -0400
+++ b/Makefile.am	Wed Jun 25 21:07:35 2008 +0100
@@ -354,11 +354,15 @@ ICEDTEA_PATCHES = \
 	patches/icedtea-jscheme.patch \
 	patches/icedtea-dnd-updatecursor.patch \
 	patches/icedtea-component.patch \
-	patches/icedtea-rhino.patch \
 	patches/icedtea-shark-build.patch \
 	$(SHARK_PATCH) \
 	$(GCC_PATCH) \
 	$(DISTRIBUTION_PATCHES)
+
+if WITH_RHINO
+ICEDTEA_PATCHES += \
+	patches/icedtea-rhino.patch 
+endif
 
 if WITH_CACAO
 ICEDTEA_PATCHES += \
diff -r 58f4f74baacc Makefile.in
--- a/Makefile.in	Tue Jun 24 10:19:37 2008 -0400
+++ b/Makefile.in	Wed Jun 25 21:07:35 2008 +0100
@@ -51,7 +51,10 @@ host_triplet = @host@
 @ENABLE_DOCS_FALSE at am__append_6 = \
 @ENABLE_DOCS_FALSE@	"NO_DOCS=true"
 
- at WITH_CACAO_TRUE@am__append_7 = \
+ at WITH_RHINO_TRUE@am__append_7 = \
+ at WITH_RHINO_TRUE@	patches/icedtea-rhino.patch 
+
+ at WITH_CACAO_TRUE@am__append_8 = \
 @WITH_CACAO_TRUE@	patches/icedtea-cacao.patch
 
 subdir = .
@@ -452,9 +455,9 @@ ICEDTEA_PATCHES = $(ZERO_PATCHES_COND) \
 	patches/icedtea-override-redirect-metacity.patch \
 	patches/icedtea-no-bcopy.patch patches/icedtea-jscheme.patch \
 	patches/icedtea-dnd-updatecursor.patch \
-	patches/icedtea-component.patch patches/icedtea-rhino.patch \
+	patches/icedtea-component.patch \
 	patches/icedtea-shark-build.patch $(SHARK_PATCH) $(GCC_PATCH) \
-	$(DISTRIBUTION_PATCHES) $(am__append_7)
+	$(DISTRIBUTION_PATCHES) $(am__append_7) $(am__append_8)
 
 # Patch OpenJDK for plug replacements and ecj.
 ICEDTEA_ECJ_PATCH = $(srcdir)/patches/icedtea-ecj.patch
diff -r 58f4f74baacc acinclude.m4
--- a/acinclude.m4	Tue Jun 24 10:19:37 2008 -0400
+++ b/acinclude.m4	Wed Jun 25 21:07:35 2008 +0100
@@ -503,33 +503,43 @@ AC_DEFUN([FIND_XERCES2_JAR],
 
 AC_DEFUN([FIND_RHINO_JAR],
 [
-  AC_ARG_WITH([rhino-jar],
-              [AS_HELP_STRING(--with-rhino-jar,specify location of the rhino jar)],
+  AC_MSG_CHECKING(whether to include Javascript support via Rhino)
+  AC_ARG_WITH([rhino],
+              [AS_HELP_STRING(--with-rhino,specify location of the rhino jar)],
   [
-    if test -f "${withval}"; then
-      AC_MSG_CHECKING(rhino jar)
-      RHINO_JAR="${withval}"
-      AC_MSG_RESULT(${withval})
-    fi
+    case "${withval}" in
+      yes)
+	RHINO_JAR=yes
+        ;;
+      no)
+        RHINO_JAR=no
+        ;;
+      *)
+    	if test -f "${withval}"; then
+          RHINO_JAR="${withval}"
+        else
+	  AC_MSG_RESULT([not found])
+          AC_MSG_ERROR("The rhino jar ${withval} was not found.")
+        fi
+	;;
+     esac
   ],
   [
-    RHINO_JAR=
+    RHINO_JAR=yes
   ])
-  if test -z "${RHINO_JAR}"; then
-    AC_MSG_CHECKING(for rhino jar)
+  if test x"${RHINO_JAR}" = "xyes"; then
     if test -e "/usr/share/java/rhino.jar"; then
       RHINO_JAR=/usr/share/java/rhino.jar
-      AC_MSG_RESULT(${RHINO_JAR})
     elif test -e "/usr/share/java/js.jar"; then
       RHINO_JAR=/usr/share/java/js.jar
-      AC_MSG_RESULT(${RHINO_JAR})
-    else
-      AC_MSG_RESULT(no)
+    fi
+    if test x"${RHINO_JAR}" = "xyes"; then
+      AC_MSG_RESULT([not found])
+      AC_MSG_ERROR("A rhino jar was not found in /usr/share/java as either rhino.jar or js.jar.")
     fi
   fi
-  if test -z "${RHINO_JAR}"; then
-    AC_MSG_ERROR("A rhino jar was not found.")
-  fi
+  AC_MSG_RESULT(${RHINO_JAR})
+  AM_CONDITIONAL(WITH_RHINO, test x"${RHINO_JAR}" != "xno")
   AC_SUBST(RHINO_JAR)
 ])
 
diff -r 58f4f74baacc aclocal.m4
--- a/aclocal.m4	Tue Jun 24 10:19:37 2008 -0400
+++ b/aclocal.m4	Wed Jun 25 21:07:35 2008 +0100
@@ -87,14 +87,16 @@ fi])
 # _PKG_CONFIG([VARIABLE], [COMMAND], [MODULES])
 # ---------------------------------------------
 m4_define([_PKG_CONFIG],
-[if test -n "$$1"; then
-    pkg_cv_[]$1="$$1"
- elif test -n "$PKG_CONFIG"; then
-    PKG_CHECK_EXISTS([$3],
-                     [pkg_cv_[]$1=`$PKG_CONFIG --[]$2 "$3" 2>/dev/null`],
-		     [pkg_failed=yes])
- else
-    pkg_failed=untried
+[if test -n "$PKG_CONFIG"; then
+    if test -n "$$1"; then
+        pkg_cv_[]$1="$$1"
+    else
+        PKG_CHECK_EXISTS([$3],
+                         [pkg_cv_[]$1=`$PKG_CONFIG --[]$2 "$3" 2>/dev/null`],
+			 [pkg_failed=yes])
+    fi
+else
+	pkg_failed=untried
 fi[]dnl
 ])# _PKG_CONFIG
 
@@ -138,9 +140,9 @@ if test $pkg_failed = yes; then
 if test $pkg_failed = yes; then
         _PKG_SHORT_ERRORS_SUPPORTED
         if test $_pkg_short_errors_supported = yes; then
-	        $1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "$2" 2>&1`
+	        $1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "$2"`
         else 
-	        $1[]_PKG_ERRORS=`$PKG_CONFIG --print-errors "$2" 2>&1`
+	        $1[]_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$2"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$$1[]_PKG_ERRORS" >&AS_MESSAGE_LOG_FD
diff -r 58f4f74baacc configure
--- a/configure	Tue Jun 24 10:19:37 2008 -0400
+++ b/configure	Wed Jun 25 21:07:35 2008 +0100
@@ -748,6 +748,8 @@ XALAN2_JAR
 XALAN2_JAR
 XALAN2_SERIALIZER_JAR
 XERCES2_JAR
+WITH_RHINO_TRUE
+WITH_RHINO_FALSE
 RHINO_JAR
 USE_ALT_OPENJDK_SRC_ZIP_TRUE
 USE_ALT_OPENJDK_SRC_ZIP_FALSE
@@ -1464,7 +1466,7 @@ Optional Packages:
   --with-xalan2-serializer-jar
                           specify location of the xalan2-serializer jar
   --with-xerces2-jar      specify location of the xerces2 jar
-  --with-rhino-jar        specify location of the rhino jar
+  --with-rhino            specify location of the rhino jar
   --with-openjdk-src-zip  specify the location of the openjdk source zip
   --with-openjdk-src-dir  specify the location of the openjdk sources
   --with-cacao            use CACAO as VM
@@ -7885,45 +7887,62 @@ fi
 fi
 fi
 
-
-# Check whether --with-rhino-jar was given.
-if test "${with_rhino_jar+set}" = set; then
-  withval=$with_rhino_jar;
-    if test -f "${withval}"; then
-      { echo "$as_me:$LINENO: checking rhino jar" >&5
-echo $ECHO_N "checking rhino jar... $ECHO_C" >&6; }
-      RHINO_JAR="${withval}"
-      { echo "$as_me:$LINENO: result: ${withval}" >&5
-echo "${ECHO_T}${withval}" >&6; }
-    fi
-
-else
-
-    RHINO_JAR=
-
-fi
-
-  if test -z "${RHINO_JAR}"; then
-    { echo "$as_me:$LINENO: checking for rhino jar" >&5
-echo $ECHO_N "checking for rhino jar... $ECHO_C" >&6; }
+  { echo "$as_me:$LINENO: checking whether to include Javascript support via Rhino" >&5
+echo $ECHO_N "checking whether to include Javascript support via Rhino... $ECHO_C" >&6; }
+
+# Check whether --with-rhino was given.
+if test "${with_rhino+set}" = set; then
+  withval=$with_rhino;
+    case "${withval}" in
+      yes)
+	RHINO_JAR=yes
+        ;;
+      no)
+        RHINO_JAR=no
+        ;;
+      *)
+    	if test -f "${withval}"; then
+          RHINO_JAR="${withval}"
+        else
+	  { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+          { { echo "$as_me:$LINENO: error: \"The rhino jar ${withval} was not found.\"" >&5
+echo "$as_me: error: \"The rhino jar ${withval} was not found.\"" >&2;}
+   { (exit 1); exit 1; }; }
+        fi
+	;;
+     esac
+
+else
+
+    RHINO_JAR=yes
+
+fi
+
+  if test x"${RHINO_JAR}" = "xyes"; then
     if test -e "/usr/share/java/rhino.jar"; then
       RHINO_JAR=/usr/share/java/rhino.jar
-      { echo "$as_me:$LINENO: result: ${RHINO_JAR}" >&5
-echo "${ECHO_T}${RHINO_JAR}" >&6; }
     elif test -e "/usr/share/java/js.jar"; then
       RHINO_JAR=/usr/share/java/js.jar
-      { echo "$as_me:$LINENO: result: ${RHINO_JAR}" >&5
+    fi
+    if test x"${RHINO_JAR}" = "xyes"; then
+      { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+      { { echo "$as_me:$LINENO: error: \"A rhino jar was not found in /usr/share/java as either rhino.jar or js.jar.\"" >&5
+echo "$as_me: error: \"A rhino jar was not found in /usr/share/java as either rhino.jar or js.jar.\"" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+  fi
+  { echo "$as_me:$LINENO: result: ${RHINO_JAR}" >&5
 echo "${ECHO_T}${RHINO_JAR}" >&6; }
-    else
-      { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-    fi
-  fi
-  if test -z "${RHINO_JAR}"; then
-    { { echo "$as_me:$LINENO: error: \"A rhino jar was not found.\"" >&5
-echo "$as_me: error: \"A rhino jar was not found.\"" >&2;}
-   { (exit 1); exit 1; }; }
-  fi
+   if test x"${RHINO_JAR}" != "xno"; then
+  WITH_RHINO_TRUE=
+  WITH_RHINO_FALSE='#'
+else
+  WITH_RHINO_TRUE='#'
+  WITH_RHINO_FALSE=
+fi
+
 
 
 
@@ -10321,10 +10340,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for XPROTO" >&5
 echo $ECHO_N "checking for XPROTO... $ECHO_C" >&6; }
 
-if test -n "$XPROTO_CFLAGS"; then
-    pkg_cv_XPROTO_CFLAGS="$XPROTO_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XPROTO_CFLAGS"; then
+        pkg_cv_XPROTO_CFLAGS="$XPROTO_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xproto\"") >&5
   ($PKG_CONFIG --exists --print-errors "xproto") 2>&5
   ac_status=$?
@@ -10334,13 +10354,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$XPROTO_LIBS"; then
-    pkg_cv_XPROTO_LIBS="$XPROTO_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XPROTO_LIBS"; then
+        pkg_cv_XPROTO_LIBS="$XPROTO_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xproto\"") >&5
   ($PKG_CONFIG --exists --print-errors "xproto") 2>&5
   ac_status=$?
@@ -10350,23 +10372,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        XPROTO_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xproto" 2>&1`
-        else
-	        XPROTO_PKG_ERRORS=`$PKG_CONFIG --print-errors "xproto" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        XPROTO_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xproto"`
+        else
+	        XPROTO_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xproto"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$XPROTO_PKG_ERRORS" >&5
@@ -10399,10 +10422,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for XT" >&5
 echo $ECHO_N "checking for XT... $ECHO_C" >&6; }
 
-if test -n "$XT_CFLAGS"; then
-    pkg_cv_XT_CFLAGS="$XT_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XT_CFLAGS"; then
+        pkg_cv_XT_CFLAGS="$XT_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xt\"") >&5
   ($PKG_CONFIG --exists --print-errors "xt") 2>&5
   ac_status=$?
@@ -10412,13 +10436,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$XT_LIBS"; then
-    pkg_cv_XT_LIBS="$XT_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XT_LIBS"; then
+        pkg_cv_XT_LIBS="$XT_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xt\"") >&5
   ($PKG_CONFIG --exists --print-errors "xt") 2>&5
   ac_status=$?
@@ -10428,23 +10454,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        XT_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xt" 2>&1`
-        else
-	        XT_PKG_ERRORS=`$PKG_CONFIG --print-errors "xt" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        XT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xt"`
+        else
+	        XT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xt"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$XT_PKG_ERRORS" >&5
@@ -10477,10 +10504,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for XP" >&5
 echo $ECHO_N "checking for XP... $ECHO_C" >&6; }
 
-if test -n "$XP_CFLAGS"; then
-    pkg_cv_XP_CFLAGS="$XP_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XP_CFLAGS"; then
+        pkg_cv_XP_CFLAGS="$XP_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xp\"") >&5
   ($PKG_CONFIG --exists --print-errors "xp") 2>&5
   ac_status=$?
@@ -10490,13 +10518,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$XP_LIBS"; then
-    pkg_cv_XP_LIBS="$XP_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XP_LIBS"; then
+        pkg_cv_XP_LIBS="$XP_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xp\"") >&5
   ($PKG_CONFIG --exists --print-errors "xp") 2>&5
   ac_status=$?
@@ -10506,23 +10536,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        XP_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xp" 2>&1`
-        else
-	        XP_PKG_ERRORS=`$PKG_CONFIG --print-errors "xp" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        XP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xp"`
+        else
+	        XP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xp"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$XP_PKG_ERRORS" >&5
@@ -10555,10 +10586,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for X11" >&5
 echo $ECHO_N "checking for X11... $ECHO_C" >&6; }
 
-if test -n "$X11_CFLAGS"; then
-    pkg_cv_X11_CFLAGS="$X11_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$X11_CFLAGS"; then
+        pkg_cv_X11_CFLAGS="$X11_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"x11\"") >&5
   ($PKG_CONFIG --exists --print-errors "x11") 2>&5
   ac_status=$?
@@ -10568,13 +10600,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$X11_LIBS"; then
-    pkg_cv_X11_LIBS="$X11_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$X11_LIBS"; then
+        pkg_cv_X11_LIBS="$X11_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"x11\"") >&5
   ($PKG_CONFIG --exists --print-errors "x11") 2>&5
   ac_status=$?
@@ -10584,23 +10618,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        X11_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "x11" 2>&1`
-        else
-	        X11_PKG_ERRORS=`$PKG_CONFIG --print-errors "x11" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        X11_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "x11"`
+        else
+	        X11_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "x11"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$X11_PKG_ERRORS" >&5
@@ -10633,10 +10668,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for XINERAMA" >&5
 echo $ECHO_N "checking for XINERAMA... $ECHO_C" >&6; }
 
-if test -n "$XINERAMA_CFLAGS"; then
-    pkg_cv_XINERAMA_CFLAGS="$XINERAMA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XINERAMA_CFLAGS"; then
+        pkg_cv_XINERAMA_CFLAGS="$XINERAMA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xinerama\"") >&5
   ($PKG_CONFIG --exists --print-errors "xinerama") 2>&5
   ac_status=$?
@@ -10646,13 +10682,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$XINERAMA_LIBS"; then
-    pkg_cv_XINERAMA_LIBS="$XINERAMA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XINERAMA_LIBS"; then
+        pkg_cv_XINERAMA_LIBS="$XINERAMA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xinerama\"") >&5
   ($PKG_CONFIG --exists --print-errors "xinerama") 2>&5
   ac_status=$?
@@ -10662,23 +10700,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        XINERAMA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xinerama" 2>&1`
-        else
-	        XINERAMA_PKG_ERRORS=`$PKG_CONFIG --print-errors "xinerama" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        XINERAMA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xinerama"`
+        else
+	        XINERAMA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xinerama"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$XINERAMA_PKG_ERRORS" >&5
@@ -10712,10 +10751,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for LIBPNG" >&5
 echo $ECHO_N "checking for LIBPNG... $ECHO_C" >&6; }
 
-if test -n "$LIBPNG_CFLAGS"; then
-    pkg_cv_LIBPNG_CFLAGS="$LIBPNG_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBPNG_CFLAGS"; then
+        pkg_cv_LIBPNG_CFLAGS="$LIBPNG_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpng\"") >&5
   ($PKG_CONFIG --exists --print-errors "libpng") 2>&5
   ac_status=$?
@@ -10725,13 +10765,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$LIBPNG_LIBS"; then
-    pkg_cv_LIBPNG_LIBS="$LIBPNG_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBPNG_LIBS"; then
+        pkg_cv_LIBPNG_LIBS="$LIBPNG_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpng\"") >&5
   ($PKG_CONFIG --exists --print-errors "libpng") 2>&5
   ac_status=$?
@@ -10741,23 +10783,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        LIBPNG_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "libpng" 2>&1`
-        else
-	        LIBPNG_PKG_ERRORS=`$PKG_CONFIG --print-errors "libpng" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        LIBPNG_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpng"`
+        else
+	        LIBPNG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpng"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$LIBPNG_PKG_ERRORS" >&5
@@ -10791,10 +10834,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for XTST" >&5
 echo $ECHO_N "checking for XTST... $ECHO_C" >&6; }
 
-if test -n "$XTST_CFLAGS"; then
-    pkg_cv_XTST_CFLAGS="$XTST_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XTST_CFLAGS"; then
+        pkg_cv_XTST_CFLAGS="$XTST_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xtst\"") >&5
   ($PKG_CONFIG --exists --print-errors "xtst") 2>&5
   ac_status=$?
@@ -10804,13 +10848,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$XTST_LIBS"; then
-    pkg_cv_XTST_LIBS="$XTST_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$XTST_LIBS"; then
+        pkg_cv_XTST_LIBS="$XTST_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xtst\"") >&5
   ($PKG_CONFIG --exists --print-errors "xtst") 2>&5
   ac_status=$?
@@ -10820,23 +10866,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        XTST_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xtst" 2>&1`
-        else
-	        XTST_PKG_ERRORS=`$PKG_CONFIG --print-errors "xtst" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        XTST_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xtst"`
+        else
+	        XTST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xtst"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$XTST_PKG_ERRORS" >&5
@@ -10869,10 +10916,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for FREETYPE2" >&5
 echo $ECHO_N "checking for FREETYPE2... $ECHO_C" >&6; }
 
-if test -n "$FREETYPE2_CFLAGS"; then
-    pkg_cv_FREETYPE2_CFLAGS="$FREETYPE2_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$FREETYPE2_CFLAGS"; then
+        pkg_cv_FREETYPE2_CFLAGS="$FREETYPE2_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"freetype2\"") >&5
   ($PKG_CONFIG --exists --print-errors "freetype2") 2>&5
   ac_status=$?
@@ -10882,13 +10930,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$FREETYPE2_LIBS"; then
-    pkg_cv_FREETYPE2_LIBS="$FREETYPE2_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$FREETYPE2_LIBS"; then
+        pkg_cv_FREETYPE2_LIBS="$FREETYPE2_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"freetype2\"") >&5
   ($PKG_CONFIG --exists --print-errors "freetype2") 2>&5
   ac_status=$?
@@ -10898,23 +10948,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        FREETYPE2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "freetype2" 2>&1`
-        else
-	        FREETYPE2_PKG_ERRORS=`$PKG_CONFIG --print-errors "freetype2" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        FREETYPE2_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "freetype2"`
+        else
+	        FREETYPE2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "freetype2"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$FREETYPE2_PKG_ERRORS" >&5
@@ -10948,10 +10999,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for ALSA" >&5
 echo $ECHO_N "checking for ALSA... $ECHO_C" >&6; }
 
-if test -n "$ALSA_CFLAGS"; then
-    pkg_cv_ALSA_CFLAGS="$ALSA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$ALSA_CFLAGS"; then
+        pkg_cv_ALSA_CFLAGS="$ALSA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"alsa\"") >&5
   ($PKG_CONFIG --exists --print-errors "alsa") 2>&5
   ac_status=$?
@@ -10961,13 +11013,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$ALSA_LIBS"; then
-    pkg_cv_ALSA_LIBS="$ALSA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$ALSA_LIBS"; then
+        pkg_cv_ALSA_LIBS="$ALSA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"alsa\"") >&5
   ($PKG_CONFIG --exists --print-errors "alsa") 2>&5
   ac_status=$?
@@ -10977,23 +11031,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        ALSA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "alsa" 2>&1`
-        else
-	        ALSA_PKG_ERRORS=`$PKG_CONFIG --print-errors "alsa" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        ALSA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "alsa"`
+        else
+	        ALSA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "alsa"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$ALSA_PKG_ERRORS" >&5
@@ -11027,10 +11082,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"mozilla-plugin libxul-unstable\"") >&5
   ($PKG_CONFIG --exists --print-errors "mozilla-plugin libxul-unstable") 2>&5
   ac_status=$?
@@ -11040,13 +11096,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"mozilla-plugin libxul-unstable\"") >&5
   ($PKG_CONFIG --exists --print-errors "mozilla-plugin libxul-unstable") 2>&5
   ac_status=$?
@@ -11056,23 +11114,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "mozilla-plugin libxul-unstable" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "mozilla-plugin libxul-unstable" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "mozilla-plugin libxul-unstable"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "mozilla-plugin libxul-unstable"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11098,10 +11157,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"mozilla-plugin\"") >&5
   ($PKG_CONFIG --exists --print-errors "mozilla-plugin") 2>&5
   ac_status=$?
@@ -11111,13 +11171,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"mozilla-plugin\"") >&5
   ($PKG_CONFIG --exists --print-errors "mozilla-plugin") 2>&5
   ac_status=$?
@@ -11127,23 +11189,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "mozilla-plugin" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "mozilla-plugin" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "mozilla-plugin"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "mozilla-plugin"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11169,10 +11232,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"firefox-plugin firefox-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "firefox-plugin firefox-xpcom") 2>&5
   ac_status=$?
@@ -11182,13 +11246,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"firefox-plugin firefox-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "firefox-plugin firefox-xpcom") 2>&5
   ac_status=$?
@@ -11198,23 +11264,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "firefox-plugin firefox-xpcom" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "firefox-plugin firefox-xpcom" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "firefox-plugin firefox-xpcom"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "firefox-plugin firefox-xpcom"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11240,10 +11307,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xulrunner-plugin xulrunner-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "xulrunner-plugin xulrunner-xpcom") 2>&5
   ac_status=$?
@@ -11253,13 +11321,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xulrunner-plugin xulrunner-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "xulrunner-plugin xulrunner-xpcom") 2>&5
   ac_status=$?
@@ -11269,23 +11339,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xulrunner-plugin xulrunner-xpcom" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "xulrunner-plugin xulrunner-xpcom" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xulrunner-plugin xulrunner-xpcom"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xulrunner-plugin xulrunner-xpcom"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11311,10 +11382,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"mozilla-firefox-plugin mozilla-firefox-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "mozilla-firefox-plugin mozilla-firefox-xpcom") 2>&5
   ac_status=$?
@@ -11324,13 +11396,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"mozilla-firefox-plugin mozilla-firefox-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "mozilla-firefox-plugin mozilla-firefox-xpcom") 2>&5
   ac_status=$?
@@ -11340,23 +11414,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "mozilla-firefox-plugin mozilla-firefox-xpcom" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "mozilla-firefox-plugin mozilla-firefox-xpcom" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "mozilla-firefox-plugin mozilla-firefox-xpcom"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "mozilla-firefox-plugin mozilla-firefox-xpcom"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11382,10 +11457,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"seamonkey-plugin seamonkey-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "seamonkey-plugin seamonkey-xpcom") 2>&5
   ac_status=$?
@@ -11395,13 +11471,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"seamonkey-plugin seamonkey-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "seamonkey-plugin seamonkey-xpcom") 2>&5
   ac_status=$?
@@ -11411,23 +11489,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "seamonkey-plugin seamonkey-xpcom" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "seamonkey-plugin seamonkey-xpcom" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "seamonkey-plugin seamonkey-xpcom"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "seamonkey-plugin seamonkey-xpcom"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11453,10 +11532,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for MOZILLA" >&5
 echo $ECHO_N "checking for MOZILLA... $ECHO_C" >&6; }
 
-if test -n "$MOZILLA_CFLAGS"; then
-    pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_CFLAGS"; then
+        pkg_cv_MOZILLA_CFLAGS="$MOZILLA_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"iceape-plugin iceape-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "iceape-plugin iceape-xpcom") 2>&5
   ac_status=$?
@@ -11466,13 +11546,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$MOZILLA_LIBS"; then
-    pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$MOZILLA_LIBS"; then
+        pkg_cv_MOZILLA_LIBS="$MOZILLA_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"iceape-plugin iceape-xpcom\"") >&5
   ($PKG_CONFIG --exists --print-errors "iceape-plugin iceape-xpcom") 2>&5
   ac_status=$?
@@ -11482,23 +11564,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "iceape-plugin iceape-xpcom" 2>&1`
-        else
-	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --print-errors "iceape-plugin iceape-xpcom" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "iceape-plugin iceape-xpcom"`
+        else
+	        MOZILLA_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "iceape-plugin iceape-xpcom"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$MOZILLA_PKG_ERRORS" >&5
@@ -11529,10 +11612,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for GLIB" >&5
 echo $ECHO_N "checking for GLIB... $ECHO_C" >&6; }
 
-if test -n "$GLIB_CFLAGS"; then
-    pkg_cv_GLIB_CFLAGS="$GLIB_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$GLIB_CFLAGS"; then
+        pkg_cv_GLIB_CFLAGS="$GLIB_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0\"") >&5
   ($PKG_CONFIG --exists --print-errors "glib-2.0") 2>&5
   ac_status=$?
@@ -11542,13 +11626,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GLIB_LIBS"; then
-    pkg_cv_GLIB_LIBS="$GLIB_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$GLIB_LIBS"; then
+        pkg_cv_GLIB_LIBS="$GLIB_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0\"") >&5
   ($PKG_CONFIG --exists --print-errors "glib-2.0") 2>&5
   ac_status=$?
@@ -11558,23 +11644,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GLIB_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "glib-2.0" 2>&1`
-        else
-	        GLIB_PKG_ERRORS=`$PKG_CONFIG --print-errors "glib-2.0" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GLIB_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "glib-2.0"`
+        else
+	        GLIB_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "glib-2.0"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$GLIB_PKG_ERRORS" >&5
@@ -11636,10 +11723,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for GTK" >&5
 echo $ECHO_N "checking for GTK... $ECHO_C" >&6; }
 
-if test -n "$GTK_CFLAGS"; then
-    pkg_cv_GTK_CFLAGS="$GTK_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$GTK_CFLAGS"; then
+        pkg_cv_GTK_CFLAGS="$GTK_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0\"") >&5
   ($PKG_CONFIG --exists --print-errors "gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0") 2>&5
   ac_status=$?
@@ -11649,13 +11737,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GTK_LIBS"; then
-    pkg_cv_GTK_LIBS="$GTK_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$GTK_LIBS"; then
+        pkg_cv_GTK_LIBS="$GTK_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0\"") >&5
   ($PKG_CONFIG --exists --print-errors "gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0") 2>&5
   ac_status=$?
@@ -11665,23 +11755,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GTK_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0" 2>&1`
-        else
-	        GTK_PKG_ERRORS=`$PKG_CONFIG --print-errors "gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GTK_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0"`
+        else
+	        GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gtk+-2.0 gthread-2.0 gdk-pixbuf-2.0"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$GTK_PKG_ERRORS" >&5
@@ -11753,10 +11844,11 @@ pkg_failed=no
 { echo "$as_me:$LINENO: checking for LIBFFI" >&5
 echo $ECHO_N "checking for LIBFFI... $ECHO_C" >&6; }
 
-if test -n "$LIBFFI_CFLAGS"; then
-    pkg_cv_LIBFFI_CFLAGS="$LIBFFI_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBFFI_CFLAGS"; then
+        pkg_cv_LIBFFI_CFLAGS="$LIBFFI_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libffi\"") >&5
   ($PKG_CONFIG --exists --print-errors "libffi") 2>&5
   ac_status=$?
@@ -11766,13 +11858,15 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-if test -n "$LIBFFI_LIBS"; then
-    pkg_cv_LIBFFI_LIBS="$LIBFFI_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBFFI_LIBS"; then
+        pkg_cv_LIBFFI_LIBS="$LIBFFI_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libffi\"") >&5
   ($PKG_CONFIG --exists --print-errors "libffi") 2>&5
   ac_status=$?
@@ -11782,23 +11876,24 @@ else
 else
   pkg_failed=yes
 fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        LIBFFI_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "libffi" 2>&1`
-        else
-	        LIBFFI_PKG_ERRORS=`$PKG_CONFIG --print-errors "libffi" 2>&1`
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        LIBFFI_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libffi"`
+        else
+	        LIBFFI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libffi"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$LIBFFI_PKG_ERRORS" >&5
@@ -12366,6 +12461,13 @@ if test -z "${GCC_OLD_TRUE}" && test -z 
   { { echo "$as_me:$LINENO: error: conditional \"GCC_OLD\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"GCC_OLD\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${WITH_RHINO_TRUE}" && test -z "${WITH_RHINO_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"WITH_RHINO\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"WITH_RHINO\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -13147,6 +13249,8 @@ XALAN2_JAR!$XALAN2_JAR$ac_delim
 XALAN2_JAR!$XALAN2_JAR$ac_delim
 XALAN2_SERIALIZER_JAR!$XALAN2_SERIALIZER_JAR$ac_delim
 XERCES2_JAR!$XERCES2_JAR$ac_delim
+WITH_RHINO_TRUE!$WITH_RHINO_TRUE$ac_delim
+WITH_RHINO_FALSE!$WITH_RHINO_FALSE$ac_delim
 RHINO_JAR!$RHINO_JAR$ac_delim
 USE_ALT_OPENJDK_SRC_ZIP_TRUE!$USE_ALT_OPENJDK_SRC_ZIP_TRUE$ac_delim
 USE_ALT_OPENJDK_SRC_ZIP_FALSE!$USE_ALT_OPENJDK_SRC_ZIP_FALSE$ac_delim
@@ -13206,8 +13310,6 @@ LLVM_CFLAGS!$LLVM_CFLAGS$ac_delim
 LLVM_CFLAGS!$LLVM_CFLAGS$ac_delim
 LLVM_LDFLAGS!$LLVM_LDFLAGS$ac_delim
 LLVM_LIBS!$LLVM_LIBS$ac_delim
-LIBOBJS!$LIBOBJS$ac_delim
-LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -13242,6 +13344,51 @@ N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!
 ' >>$CONFIG_STATUS <conf$$subs.sed
 rm -f conf$$subs.sed
 cat >>$CONFIG_STATUS <<_ACEOF
+CEOF$ac_eof
+_ACEOF
+
+
+ac_delim='%!_!# '
+for ac_last_try in false false false false false :; do
+  cat >conf$$subs.sed <<_ACEOF
+LIBOBJS!$LIBOBJS$ac_delim
+LTLIBOBJS!$LTLIBOBJS$ac_delim
+_ACEOF
+
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 2; then
+    break
+  elif $ac_last_try; then
+    { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
+  fi
+done
+
+ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
+if test -n "$ac_eof"; then
+  ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
+  ac_eof=`expr $ac_eof + 1`
+fi
+
+cat >>$CONFIG_STATUS <<_ACEOF
+cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
+_ACEOF
+sed '
+s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
+s/^/s,@/; s/!/@,|#_!!_#|/
+:n
+t n
+s/'"$ac_delim"'$/,g/; t
+s/$/\\/; p
+N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
+' >>$CONFIG_STATUS <conf$$subs.sed
+rm -f conf$$subs.sed
+cat >>$CONFIG_STATUS <<_ACEOF
+:end
+s/|#_!!_#|//g
 CEOF$ac_eof
 _ACEOF
 
@@ -13495,7 +13642,7 @@ s&@INSTALL@&$ac_INSTALL&;t t
 s&@INSTALL@&$ac_INSTALL&;t t
 s&@MKDIR_P@&$ac_MKDIR_P&;t t
 $ac_datarootdir_hack
-" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed 's/|#_!!_#|//g' >$tmp/out
+" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
 
 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&


More information about the distro-pkg-dev mailing list